<?xml version="1.0" encoding="shift_jis"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9.00"
	Name="ascriptshell"
	ProjectGUID="{DE50E665-06B1-46E8-95E9-7D3370E89952}"
	RootNamespace="ascriptshell"
	Keyword="Win32Proj"
	TargetFrameworkVersion="131072"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="$(SolutionDir)..\..\extra\wxMSW-2.8.11\include;$(SolutionDir)..\..\extra\wxMSW-2.8.11\lib\vc_lib\msw;$(SolutionDir)..\..\include"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;__WXMSW__;NOPCH"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="libascript.lib opengl32.lib wxbase28.lib wxmsw28_adv.lib wxmsw28_core.lib wxmsw28_html.lib wxtiff.lib wxjpeg.lib wxpng.lib wxzlib.lib wxregex.lib wxexpat.lib winmm.lib comctl32.lib rpcrt4.lib wsock32.lib odbc32.lib"
				OutputFile="$(SolutionDir)..\..\ascriptshell.msc.exe"
				LinkIncremental="2"
				AdditionalLibraryDirectories="$(SolutionDir)..\..\extra\wxMSW-2.8.11\lib\vc_lib;$(SolutionDir)..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName).$(ProjectName)"
			ConfigurationType="1"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="$(SolutionDir)..\..\extra\wxMSW-2.8.11\include;$(SolutionDir)..\..\extra\wxMSW-2.8.11\lib\vc_lib\msw;$(SolutionDir)..\..\include"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;__WXMSW__;NOPCH"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="libascript.lib opengl32.lib wxbase28.lib wxmsw28_adv.lib wxmsw28_core.lib wxmsw28_html.lib wxtiff.lib wxjpeg.lib wxpng.lib wxzlib.lib wxregex.lib wxexpat.lib winmm.lib comctl32.lib rpcrt4.lib wsock32.lib odbc32.lib"
				OutputFile="$(SolutionDir)..\..\ascriptshell.msc.exe"
				LinkIncremental="1"
				AdditionalLibraryDirectories="$(SolutionDir)..\..\extra\wxMSW-2.8.11\lib\vc_lib;$(SolutionDir)..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="ソース ファイル"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\..\src\Program_ascriptshell\Application.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\AScriptShell.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\ConfigDialog.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\FrameMain.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\FrameScribble.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\Module_scribble.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\PanelScribble.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="ヘッダー ファイル"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath="..\..\src\Program_ascriptshell\Application.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\AScriptShell.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\Config.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\ConfigDialog.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\FrameMain.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\FrameScribble.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Program_ascriptshell\PanelScribble.h"
				>
			</File>
		</Filter>
		<Filter
			Name="リソース ファイル"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
			<File
				RelativePath="..\..\src\Program_ascriptshell\AScriptShell.rc"
				>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
